/* Copyright  2007 by Christian Fuchsberger and Lukas Forer info@pedvizapi.org.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License <http://www.pedvizapi.org/gpl.txt>
 * for more details. 
 */

package core;

import java.util.ArrayList;

import javax.swing.*;
import javax.swing.UIManager;
import javax.media.j3d.*;

import com.sun.j3d.utils.universe.SimpleUniverse;

import ui.FrameAdapter;
import ui.FrameDesktop;

;
/**
 * @author Luki
 */
public class DemoApp {

	public static ArrayList<String> flags = new ArrayList<String>();

	public static void main(String[] args) {

		try {
			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		} catch (Exception e) {
			System.out.println(e);
		}

		flags.add("-no_transparency".toUpperCase());
		flags.add("-no_antialiasing".toUpperCase());
		flags.add("-no_light".toUpperCase());
		flags.add("-low_quality".toUpperCase());
		flags.add("-mode_2d".toUpperCase());

		DemoAppCore demoAppCore = new DemoAppCore();

		int mode = FrameAdapter.VIEW_3D;

		if (args.length > 0) {
			System.out.println("Settings:");
		}

		for (String arg : args) {
			int index = flags.indexOf(arg.toUpperCase());
			switch (index) {
			case 0:
			case 1:
			case 2:
			case 3:
				break;
			case 4:
				mode = FrameAdapter.VIEW_2D;
				System.out.println("mode: 2d");
				break;
			default:
				System.out.println("Illegal option: " + arg);
				break;
			}
		}
		
		if (mode == FrameAdapter.VIEW_3D) {
			try {
				new Canvas3D(SimpleUniverse.getPreferredConfiguration());
			} catch (Throwable e) {
				JOptionPane
						.showMessageDialog(
								null,
								"Java3D isn't installed or the graphic card driver has to be updated.\n Download it from http://java.sun.com/products/java-media/3D",
								"Error", JOptionPane.ERROR_MESSAGE);
				return;
			}
		}

		for (String arg : args) {
			int index = flags.indexOf(arg.toUpperCase());
			switch (index) {
			case 0:
				demoAppCore.setUseTransparents(false);
				System.out.println("transparents: off");
				break;
			case 1:
				demoAppCore.setUseAntialiasing(false);
				System.out.println("antialiasing: off");
				break;
			case 2:
				demoAppCore.setUseLight(false);
				System.out.println("light: off");
				break;
			case 3:
				demoAppCore.setUseLowQuality(true);
				System.out.println("quality: low");
				break;
			case 4:
				break;
			default:
				System.out.println("Illegal option: " + arg);
				break;
			}
		}
				
		
		FrameDesktop demoAppFrame = new FrameDesktop(demoAppCore, demoAppCore,
				mode);
		demoAppFrame.setEventListener(demoAppCore);
		demoAppFrame.setExtendedState(JFrame.MAXIMIZED_BOTH);
		demoAppFrame.setVisible(true);
	}
}
