/* Copyright  2007 by Christian Fuchsberger and Lukas Forer info@pedvizapi.org.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License <http://www.pedvizapi.org/gpl.txt>
 * for more details. 
 */

package ui;

import java.awt.Frame;

import pedviz.view.GraphView;
import core.Events;

public interface FrameAdapter {

	public static final int VIEW_2D = 2;

	public static final int VIEW_3D = 4;

	public void setEventListener(Events eventListener);

	public void updateGraphView();

	public GraphView getGraphView();

	public ContentPanel getContent();

	public void setActionsEnabled(boolean status);

	public void setGraphViewEnabled(boolean status);

	public void setSplitEnabled(boolean status);

	public void setPedigreeName(String name);

	public Frame getFrame();

	public void setWaitCursor();

	public void setDefaultCursor();
}
