/* Copyright  2007 by Christian Fuchsberger and Lukas Forer info@pedvizapi.org.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License <http://www.pedvizapi.org/gpl.txt>
 * for more details. 
 */

package ui.panels;

import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

import javax.swing.JComboBox;
import javax.swing.JLabel;

import core.ControlPanelEvents;

public class HighlightingPanel extends ControlPanel implements ItemListener {

	private String[] captions = { "paternal", "maternal",
			"maternal and paternal", "all ancestors", "all successors",
			"all anc. and succ.", "none" };

	private JComboBox highlightingList;

	private JLabel label;

	public HighlightingPanel(ControlPanelEvents events) {
		super("Highlighting", events);
		highlightingList = new JComboBox(captions);
		highlightingList.addItemListener(this);
		label = addLabel("Mode");
		addInput(highlightingList);
	}

	public void setEnabled(boolean enabled) {
		super.setEnabled(enabled);
		label.setEnabled(enabled);
		highlightingList.setEnabled(enabled);
	}

	public void itemStateChanged(ItemEvent e) {
		listener.updatePressed(this);
	}

	public int getSelectedMode() {
		return highlightingList.getSelectedIndex();
	}
}
