/* Copyright  2007 by Christian Fuchsberger and Lukas Forer info@pedvizapi.org.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License <http://www.pedvizapi.org/gpl.txt>
 * for more details. 
 */

package ui.showcase;

import java.awt.BorderLayout;
import java.awt.Insets;
import java.awt.Panel;
import java.awt.event.MouseListener;

import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JLabel;

import pedviz.view.GraphView;

public class ShowcaseItem extends Panel {
	private JLabel labelCaption;

	private GraphView graphView;

	public ShowcaseItem(GraphView graphView, String caption,
			MouseListener listener) {
		this.graphView = graphView;

		// title panel
		Panel panel = new Panel();
		BorderLayout layout = new BorderLayout();
		panel.setLayout(layout);

		labelCaption = new JLabel(caption);
		labelCaption.setBorder(BorderFactory.createEmptyBorder(2, 5, 2, 2));
		panel.add(labelCaption, BorderLayout.CENTER);

		JButton closeButton = new JButton();
		closeButton.setOpaque(true);
		closeButton.setMargin(new Insets(2, 2, 2, 2));
		closeButton.setIcon(new ImageIcon("res/close.png"));
		closeButton.addMouseListener(listener);
		panel.add(closeButton, BorderLayout.EAST);

		setLayout(new BorderLayout());
		add(panel, BorderLayout.NORTH);
		add(graphView.getComponent(), BorderLayout.CENTER);
	}

	public void setCaption(String caption) {
		labelCaption.setText(caption);
	}

	public GraphView getGraphView() {
		return graphView;
	}
}
